; *********************************************************************************
; *               PureDesign V 1.2.0                                              *
; * Durch PureDesign erzeugte Kommentare nicht ndern oder lschen. Manuelle      *
; * Eingabe von Code nur innerhalb der beiden markierten Abschnitte und der       *
; * Ereignisschleife. Nur wenn dies beachtet wird, kann PureDesign auch fr       *
; * sptere nderungen ohne Verlust der manuellen Eingabe verwendet werden.       *
; *********************************************************************************

;- Enumeration PureDesign
Enumeration
; Windows
  #Form_100
  #Form_101
  #Form_102
; Menue
  #Menu_200
  #Menu_202
   #Menu_Neu
   #Menu_Text
   #Menu_Bild
   #Menu_Save
   #Menu_Ende
   #Menu_Insert
   #Menu_Delete
; ToolBar
  #ToolBar_201
   #TB201Item_6
   #TB201Item_7
   #TB201Item_8
   #TB201Item_add_group
   #TB201Item_alarmd
; Gadget
  #Button_0
  #Button_1
  #Button_10
  #Button_12
  #Button_13
  #Button_14
  #Button_15
  #Button_16
  #Button_17
  #Button_18
  #Button_19
  #Button_2
  #Button_20
  #Button_21
  #Button_22
  #Button_23
  #Button_24
  #Button_25
  #Button_26
  #Button_27
  #Button_28
  #Button_29
  #Button_3
  #Button_4
  #Button_5
  #Button_6
  #Button_7
  #Button_8
  #Button_9
  #Container_0
  #Container_1
  #Container_2
  #Container_3
  #Image_1
  #ListIcon_0
  #Panel_0
  #Splitter_0
  #Splitter_1
; StatusBar
  #StatusBar_201
; Image
  #Form_102_3
  #Image_1_2
  #Menu_Neu_Image
  #SubMenu_Oeffnen_Image
  #Menu_Text_Image
  #Menu_Bild_Image
  #Menu_Save_Image
  #Menu_Ende_Image
  #Menu_Insert_Image
  #Menu_Delete_Image
  #TBImage_add_group
  #TBImage_alarmd
  #StatusBar_201_Image_1
  #StatusBar_201_Image_2
  #StatusBar_201_Image_3
EndEnumeration
;- Enumeration PureDesign finished

; Included Images
DataSection
  WindowIcon:
  IncludeBinary "server.ico"
  Form_102_3:
  IncludeBinary "Geebee2.bmp"
  Image_1_2:
  IncludeBinary "monitor.png"
  Menu_Neu_Image:
  IncludeBinary "fileopen.png"
  SubMenu_Oeffnen_Image:
  IncludeBinary "filenew.png"
  Menu_Text_Image:
  IncludeBinary "ascii.png"
  Menu_Bild_Image:
  IncludeBinary "binary.png"
  Menu_Save_Image:
  IncludeBinary "filesave.png"
  Menu_Ende_Image:
  IncludeBinary "exit.png"
  Menu_Insert_Image:
  IncludeBinary "editpaste.png"
  Menu_Delete_Image:
  IncludeBinary "editdelete.png"
  TBImage_add_group:
  IncludeBinary "add_group.png"
  TBImage_alarmd:
  IncludeBinary "alarmd.png"
  StatusBar_201_Image_1:
  IncludeBinary "camera.png"
  StatusBar_201_Image_2:
  IncludeBinary "cdaudio_mount.png"
  StatusBar_201_Image_3:
  IncludeBinary "printer.png"
EndDataSection

; Loaded Image Decoder
UsePNGImageDecoder()

Procedure AddWindowIcon(WinID, IconID)
     CompilerSelect  #PB_Compiler_OS
          CompilerCase  #PB_OS_Linux
               gtk_window_set_icon_(WinID, IconID)
          CompilerCase #PB_OS_Windows
               SendMessage_(WinID,#WM_SETICON,#False,IconID)
          CompilerCase #PB_OS_MacOS
               ; :?:
     CompilerEndSelect
EndProcedure

CompilerIf #PB_Compiler_OS = #PB_OS_Linux
  Procedure SetWindowBackgroundImage(hWnd.I, hImage.I)
    Protected *Background
    Protected FixedBox.I
    Protected *Style.GtkStyle

    gdk_pixbuf_render_pixmap_and_mask_(hImage, @*Background, 0, 0)
    *Style = gtk_style_new_()
    *Style\bg_pixmap[0] = *Background
    FixedBox = g_list_nth_data_(gtk_container_get_children_(gtk_bin_get_child_(hWnd)), 0)
    gtk_widget_set_style_(FixedBox, *Style)
  EndProcedure

CompilerElseIf #PB_Compiler_OS = #PB_OS_Windows
  Procedure SetWindowBackGroundImage(hWnd, hImage)
    SetClassLongPtr_(hWnd, #GCL_HBRBACKGROUND, CreatePatternBrush_(hImage))
    InvalidateRect_(hWnd, 0, #True)
  EndProcedure
CompilerEndIf

Procedure SwapBR(Color)
  !mov eax, [p.v_Color]
  !bswap eax
  !ror eax, 8
  ProcedureReturn
EndProcedure

;-> Add first block of manual code after here

;-> End first block of manual code before here

Procedure Open_Form_100()
  OpenWindow(#Form_100, 1134, 74, 600, 400, "Form_100", #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget | #PB_Window_SizeGadget | #PB_Window_TitleBar )
    SetWindowColor(#Form_100, SwapBR($80FF80))
    AddWindowIcon(WindowID(0), CatchImage(1, ?WindowIcon) )
    ; Menueliste
    If CreateImageMenu(#Menu_200, WindowID(#Form_100))
      MenuTitle("&Datei")
      MenuItem(#Menu_Neu, "&Neu", CatchImage(#Menu_Neu_Image, ?Menu_Neu_Image))
      MenuBar()
      OpenSubMenu("&ffnen", CatchImage(#SubMenu_Oeffnen_Image, ?SubMenu_Oeffnen_Image))
      MenuItem(#Menu_Text, "&Text", CatchImage(#Menu_Text_Image, ?Menu_Text_Image))
      MenuItem(#Menu_Bild, "&Bild", CatchImage(#Menu_Bild_Image, ?Menu_Bild_Image))
      CloseSubMenu()
      MenuBar()
      MenuItem(#Menu_Save, "&Save", CatchImage(#Menu_Save_Image, ?Menu_Save_Image))
      MenuBar()
      MenuItem(#Menu_Ende, "&Ende", CatchImage(#Menu_Ende_Image, ?Menu_Ende_Image))
    EndIf
    ; Gadgetliste
      ContainerGadget(#Container_0, 370, 71, 220, 220,  #PB_Container_Flat )
        SetGadgetColor(#Container_0, #PB_Gadget_BackColor, SwapBR($ffc5f3))
        ButtonGadget(#Button_0, 45, 15, 120, 25, "Button_0")
        ButtonGadget(#Button_5, 47, 77, 120, 25, "Button_5")
        ButtonGadget(#Button_6, 46, 120, 120, 25, "Button_6")
        ButtonGadget(#Button_14, 52, 167, 120, 25, "Button_14")
      CloseGadgetList()
      ButtonGadget(#Button_1, 413, 38, 120, 25, "Button_1")
      ContainerGadget(#Container_1, 35, 65, 220, 220,  #PB_Container_Flat )
        SetGadgetColor(#Container_1, #PB_Gadget_BackColor, SwapBR($c7f4ff))
        ButtonGadget(#Button_2, 45, 181, 120, 25, "Button_2")
        ButtonGadget(#Button_7, 31, 11, 120, 25, "Button_7")
        SplitterGadget(#Splitter_0, 55, 30, 100, 100, #Button_7 , #Button_2 )
        ButtonGadget(#Button_9, 46, 152, 120, 25, "Button_9")
      CloseGadgetList()
      ButtonGadget(#Button_3, 421, 315, 120, 25, "Button_3")
      ButtonGadget(#Button_4, 419, 352, 120, 25, "Button_4")
      ButtonGadget(#Button_8, 71, 301, 120, 25, "Button_8")
      ButtonGadget(#Button_10, 70, 338, 120, 25, "Button_10")
      SplitterGadget(#Splitter_1, 260, 135, 100, 100, #Button_10 , #Button_8 )
      ButtonGadget(#Button_22, 250, 320, 120, 25, "Button_22")
      ButtonGadget(#Button_23, 81, 14, 120, 25, "Button_23")
      ButtonGadget(#Button_24, 85, 295, 120, 25, "Button_24")
      ButtonGadget(#Button_25, 241, 18, 120, 25, "Button_25")
      ButtonGadget(#Button_28, 85, 320, 120, 25, "Button_28")

EndProcedure

Open_Form_100()

Procedure Open_Form_101()
  OpenWindow(#Form_101, 1129, 537, 600, 353, "Form_101", #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget | #PB_Window_SizeGadget | #PB_Window_TitleBar )
    SetWindowColor(#Form_101, SwapBR($cbfff8))
    AddWindowIcon(WindowID(1), CatchImage(1, ?WindowIcon) )
    ; ToolBar
    If CreateToolBar(#ToolBar_201, WindowID(#Form_101))
      ToolBarStandardButton(#TB201Item_6, 6)
      ToolBarSeparator()
      ToolBarStandardButton(#TB201Item_7, 7)
      ToolBarSeparator()
      ToolBarStandardButton(#TB201Item_8, 8)
      ToolBarSeparator()
      ToolBarImageButton(#TB201Item_add_group, CatchImage(#TBImage_add_group, ?TBImage_add_group))
      ToolBarSeparator()
      ToolBarImageButton(#TB201Item_alarmd, CatchImage(#TBImage_alarmd, ?TBImage_alarmd), $1)
    EndIf
    ; Gadgetliste
      PanelGadget(#Panel_0, 315, 75, 220, 220)
        AddGadgetItem(#Panel_0, 0, "Item0", 0)
          ButtonGadget(#Button_20, 50, 36, 120, 25, "Button_20")
          ButtonGadget(#Button_21, 49, 86, 120, 25, "Button_21")
        AddGadgetItem(#Panel_0, 1, "Item1", 0)
          ImageGadget(#Image_1, 49, 45, 130, 130, CatchImage(#Image_1_2, ?Image_1_2))
        AddGadgetItem(#Panel_0, 2, "Item2", 0)
          ButtonGadget(#Button_29, 45, 45, 120, 25, "Button_29")
        AddGadgetItem(#Panel_0, 3, "Item3", 0)
        AddGadgetItem(#Panel_0, 4, "Item4", 0)
        AddGadgetItem(#Panel_0, 5, "Item5", 0)
      CloseGadgetList()
      ButtonGadget(#Button_12, 105, 30, 120, 25, "Button_12")
      ContainerGadget(#Container_2, 57, 62, 220, 220,  #PB_Container_Flat )
        SetGadgetColor(#Container_2, #PB_Gadget_BackColor, SwapBR($88ff73))
        ButtonGadget(#Button_13, 40, 35, 120, 25, "Button_13")
      CloseGadgetList()
      ButtonGadget(#Button_15, 360, 35, 120, 25, "Button_15")
      ButtonGadget(#Button_26, 231, 27, 120, 25, "Button_26")
    ; StatusBar
    If CreateStatusBar(#StatusBar_201, WindowID(#Form_101))
      AddStatusBarField(#PB_Ignore)
      StatusBarText(#StatusBar_201, 0, "Mein Status", $0)
      AddStatusBarField(#PB_Ignore)
      StatusBarImage(#StatusBar_201, 1, CatchImage(#StatusBar_201_Image_1, ?StatusBar_201_Image_1), $4)
      AddStatusBarField(#PB_Ignore)
      StatusBarImage(#StatusBar_201, 2, CatchImage(#StatusBar_201_Image_2, ?StatusBar_201_Image_2), $4)
      AddStatusBarField(#PB_Ignore)
      StatusBarImage(#StatusBar_201, 3, CatchImage(#StatusBar_201_Image_3, ?StatusBar_201_Image_3), $4)
    EndIf

EndProcedure

Open_Form_101()

Procedure Open_Form_102()
  OpenWindow(#Form_102, 420, 60, 600, 350, "Form_102", #PB_Window_SystemMenu | #PB_Window_MinimizeGadget | #PB_Window_MaximizeGadget | #PB_Window_SizeGadget | #PB_Window_TitleBar )
    CatchImage(#Form_102_3, ?Form_102_3)
    SetWindowBackgroundImage(WindowID(#Form_102), ImageID(#Form_102_3))
    AddWindowIcon(WindowID(2), CatchImage(1, ?WindowIcon) )
    ; Menueliste
    If CreateImageMenu(#Menu_202, WindowID(#Form_102))
      MenuTitle("&Edit")
      MenuItem(#Menu_Insert, "&Insert", CatchImage(#Menu_Insert_Image, ?Menu_Insert_Image))
      MenuBar()
      MenuBar()
      MenuItem(#Menu_Delete, "&Delete", CatchImage(#Menu_Delete_Image, ?Menu_Delete_Image))
    EndIf
    ; Gadgetliste
      ListIconGadget(#ListIcon_0, 367, 83, 200, 200, "ListIcon_0", 100)
        SetGadgetColor(#ListIcon_0, #PB_Gadget_BackColor, SwapBR($FFFF9F))
        SetGadgetColor(#ListIcon_0, #PB_Gadget_FrontColor, SwapBR($0000A0))
      ButtonGadget(#Button_16, 408, 35, 120, 25, "Button_16")
      ContainerGadget(#Container_3, 72, 99, 220, 220,  #PB_Container_Flat )
        SetGadgetColor(#Container_3, #PB_Gadget_BackColor, SwapBR($9EC4FC))
        ButtonGadget(#Button_17, 53, 34, 120, 25, "Button_17")
        ButtonGadget(#Button_27, 44, 104, 120, 25, "Button_27")
      CloseGadgetList()
      ButtonGadget(#Button_18, 162, 34, 120, 25, "Button_18")
      ButtonGadget(#Button_19, 410, 297, 120, 25, "Button_19")

EndProcedure

Open_Form_102()

Procedure Resize_Form_100()

  Protected dx.i, dy.i
  dx.i = WindowWidth(#Form_100)
  dy.i = WindowHeight(#Form_100)
    ResizeGadget(#Container_0, 370, 71, 220, 220)
  dx.i = GadgetWidth(#Container_0)
  dy.i = GadgetHeight(#Container_0)
    ResizeGadget(#Button_0, 45, 15, 120, 25)
  dx.i = GadgetWidth(#Container_0)
  dy.i = GadgetHeight(#Container_0)
    ResizeGadget(#Button_5, 47, 77, 120, 25)
  dx.i = GadgetWidth(#Container_0)
  dy.i = GadgetHeight(#Container_0)
    ResizeGadget(#Button_6, 46, 120, 120, 25)
  dx.i = GadgetWidth(#Container_0)
  dy.i = GadgetHeight(#Container_0)
    ResizeGadget(#Button_14, 52, 167, 120, 25)
  dx.i = WindowWidth(#Form_100)
  dy.i = WindowHeight(#Form_100)
    ResizeGadget(#Button_1, 413, 38, 120, 25)
  dx.i = WindowWidth(#Form_100)
  dy.i = WindowHeight(#Form_100)
    ResizeGadget(#Container_1, 35, 65, 220, 220)
  dx.i = GadgetWidth(#Container_1)
  dy.i = GadgetHeight(#Container_1)
    ResizeGadget(#Splitter_0, 55, 30, 100, 100)
  dx.i = GadgetWidth(#Container_1)
  dy.i = GadgetHeight(#Container_1)
    ResizeGadget(#Button_9, 46, 152, 120, 25)
  dx.i = WindowWidth(#Form_100)
  dy.i = WindowHeight(#Form_100)
    ResizeGadget(#Button_3, 421, 315, 120, 25)
  dx.i = WindowWidth(#Form_100)
  dy.i = WindowHeight(#Form_100)
    ResizeGadget(#Button_4, 419, 352, 120, 25)
  dx.i = WindowWidth(#Form_100)
  dy.i = WindowHeight(#Form_100)
    ResizeGadget(#Splitter_1, 260, 135, 100, 100)
  dx.i = WindowWidth(#Form_100)
  dy.i = WindowHeight(#Form_100)
    ResizeGadget(#Button_22, 250, 320, 120, 25)
  dx.i = WindowWidth(#Form_100)
  dy.i = WindowHeight(#Form_100)
    ResizeGadget(#Button_23, 81, 14, 120, 25)
  dx.i = WindowWidth(#Form_100)
  dy.i = WindowHeight(#Form_100)
    ResizeGadget(#Button_24, 85, 295, 120, 25)
  dx.i = WindowWidth(#Form_100)
  dy.i = WindowHeight(#Form_100)
    ResizeGadget(#Button_25, 241, 18, 120, 25)
  dx.i = WindowWidth(#Form_100)
  dy.i = WindowHeight(#Form_100)
    ResizeGadget(#Button_28, 85, 320, 120, 25)

EndProcedure

Resize_Form_100()

Procedure Resize_Form_101()

  Protected dx.i, dy.i
  dx.i = WindowWidth(#Form_101)
  dy.i = WindowHeight(#Form_101)
    ResizeGadget(#Panel_0, 315, 75, 220, 220)
  dx.i = GadgetWidth(#Panel_0)
  dy.i = GadgetHeight(#Panel_0)
    ResizeGadget(#Button_20, 50, 36, 120, 25)
  dx.i = GadgetWidth(#Panel_0)
  dy.i = GadgetHeight(#Panel_0)
    ResizeGadget(#Button_21, 49, 86, 120, 25)
  dx.i = GadgetWidth(#Panel_0)
  dy.i = GadgetHeight(#Panel_0)
    ResizeGadget(#Image_1, 49, 45, 130, 130)
  dx.i = GadgetWidth(#Panel_0)
  dy.i = GadgetHeight(#Panel_0)
    ResizeGadget(#Button_29, 45, 45, 120, 25)
  dx.i = WindowWidth(#Form_101)
  dy.i = WindowHeight(#Form_101)
    ResizeGadget(#Button_12, 105, 30, 120, 25)
  dx.i = WindowWidth(#Form_101)
  dy.i = WindowHeight(#Form_101)
    ResizeGadget(#Container_2, 57, 62, 220, 220)
  dx.i = GadgetWidth(#Container_2)
  dy.i = GadgetHeight(#Container_2)
    ResizeGadget(#Button_13, 40, 35, 120, 25)
  dx.i = WindowWidth(#Form_101)
  dy.i = WindowHeight(#Form_101)
    ResizeGadget(#Button_15, 360, 35, 120, 25)
  dx.i = WindowWidth(#Form_101)
  dy.i = WindowHeight(#Form_101)
    ResizeGadget(#Button_26, 231, 27, 120, 25)

EndProcedure

Resize_Form_101()

Procedure Resize_Form_102()

  Protected dx.i, dy.i
  dx.i = WindowWidth(#Form_102)
  dy.i = WindowHeight(#Form_102)
    ResizeGadget(#ListIcon_0, 367, 83, 200, 200)
  dx.i = WindowWidth(#Form_102)
  dy.i = WindowHeight(#Form_102)
    ResizeGadget(#Button_16, 408, 35, 120, 25)
  dx.i = WindowWidth(#Form_102)
  dy.i = WindowHeight(#Form_102)
    ResizeGadget(#Container_3, 72, 99, 220, 220)
  dx.i = GadgetWidth(#Container_3)
  dy.i = GadgetHeight(#Container_3)
    ResizeGadget(#Button_17, 53, 34, 120, 25)
  dx.i = GadgetWidth(#Container_3)
  dy.i = GadgetHeight(#Container_3)
    ResizeGadget(#Button_27, 44, 104, 120, 25)
  dx.i = WindowWidth(#Form_102)
  dy.i = WindowHeight(#Form_102)
    ResizeGadget(#Button_18, 162, 34, 120, 25)
  dx.i = WindowWidth(#Form_102)
  dy.i = WindowHeight(#Form_102)
    ResizeGadget(#Button_19, 410, 297, 120, 25)

EndProcedure

Resize_Form_102()

;-> Add second block of manual code after here

;-> End second block of manual code before here


Define.i Event, EventWindow, EventGadget, EventType, EventMenu
;- Event Schleife
Repeat
  Event = WaitWindowEvent()
  Select Event
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    Case #PB_Event_Menu
      EventMenu = EventMenu()
      ; Menue
      If EventMenu = #Menu_Neu
      ElseIf EventMenu = #Menu_Text
      ElseIf EventMenu = #Menu_Bild
      ElseIf EventMenu = #Menu_Save
      ElseIf EventMenu = #Menu_Ende
      ElseIf EventMenu = #Menu_Insert
      ElseIf EventMenu = #Menu_Delete
      EndIf ; End EventMenu
; ---------------------------------------------------------------------
      ; ToolBar
      If EventMenu = #TB201Item_6
      ElseIf EventMenu = #TB201Item_7
      ElseIf EventMenu = #TB201Item_8
      ElseIf EventMenu = #TB201Item_add_group
      ElseIf EventMenu = #TB201Item_alarmd
      EndIf ; End EventToolBar
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    Case #PB_Event_Gadget
      EventGadget = EventGadget()
      ; Gadget
      If EventGadget = #Container_0
      ElseIf EventGadget = #Button_0
      ElseIf EventGadget = #Button_5
      ElseIf EventGadget = #Button_6
      ElseIf EventGadget = #Button_14
      ElseIf EventGadget = #Button_1
      ElseIf EventGadget = #Container_1
      ElseIf EventGadget = #Button_2
      ElseIf EventGadget = #Button_7
      ElseIf EventGadget = #Splitter_0
      ElseIf EventGadget = #Button_9
      ElseIf EventGadget = #Button_3
      ElseIf EventGadget = #Button_4
      ElseIf EventGadget = #Button_8
      ElseIf EventGadget = #Button_10
      ElseIf EventGadget = #Splitter_1
      ElseIf EventGadget = #Button_22
      ElseIf EventGadget = #Button_23
      ElseIf EventGadget = #Button_24
      ElseIf EventGadget = #Button_25
      ElseIf EventGadget = #Button_28
      ElseIf EventGadget = #Panel_0
      ElseIf EventGadget = #Button_20
      ElseIf EventGadget = #Button_21
      ElseIf EventGadget = #Image_1
      ElseIf EventGadget = #Button_29
      ElseIf EventGadget = #Button_12
      ElseIf EventGadget = #Container_2
      ElseIf EventGadget = #Button_13
      ElseIf EventGadget = #Button_15
      ElseIf EventGadget = #Button_26
      ElseIf EventGadget = #ListIcon_0
      ElseIf EventGadget = #Button_16
      ElseIf EventGadget = #Container_3
      ElseIf EventGadget = #Button_17
      ElseIf EventGadget = #Button_27
      ElseIf EventGadget = #Button_18
      ElseIf EventGadget = #Button_19
      EndIf ; End EventGadget
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
    ; Window
    Case #PB_Event_SizeWindow
      EventWindow = EventWindow()
      If EventWindow = #Form_100
        Resize_Form_100()
      ElseIf EventWindow = #Form_101
        Resize_Form_101()
      ElseIf EventWindow = #Form_102
        Resize_Form_102()
      EndIf ; End ResizeWindow
; -----------------------------------------------------------------------
    Case #PB_Event_CloseWindow
      EventWindow = EventWindow()
      If EventWindow = #Form_100
        CloseWindow(#Form_100)
        Break
      ElseIf EventWindow = #Form_101
        CloseWindow(#Form_101)
      ElseIf EventWindow = #Form_102
        CloseWindow(#Form_102)
      EndIf ; End EventWindow
; +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
  EndSelect
ForEver
End

; IDE Options = PureBasic 5.31 (Windows - x64)
; Folding = --
; EnableUnicode
; EnableXP
; CompileSourceDirectory
; EnableCompileCount = 2
; EnableBuildCount = 0
; EnableExeConstant